Subject: re: URI or IRI (was: Comments on the HTTP Sec-From Header (draft-abarth-origin))

From: =JeffH <[email-masked]>
Date: Tue, 14 Jul 2009 16:53:41 -0700

adam replied:
 > mnot noted:
 >> * Section 2 talks about applying the IDNA ToASCII algorithm to parts of a
 >> URI. This doesn't make sense; perhaps you mean IRI?
 >
 > I'm a bit unclear on the difference between URIs and IRIs.  Is there
 > are  a good reference you could point me to?

The IDNA ToASCII/ToUnicode algorithms (from RFC3490) are employed in 
draft-abarth-origin (and only on the <host> component of an origin tuple) 
simply to convert to/from Punycode-encoded DNS domain names (aka hostnames) -- 
it isn't about IRIs (RFC3987) per se. I.e. one can receive/create/send a 
Punycode-encoded hostname embedded in RFC3986 URIs today.

HTH,

=JeffH